commit:     1ba32ed0c7beb0da410f7575198be259e40a0739
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 18 06:02:56 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 18 06:37:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba32ed0

www-servers/puma: add 3.1.1

Package-Manager: portage-2.2.26

 www-servers/puma/Manifest          |  1 +
 www-servers/puma/puma-3.1.1.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/www-servers/puma/Manifest b/www-servers/puma/Manifest
index 24f040b..554a3c7 100644
--- a/www-servers/puma/Manifest
+++ b/www-servers/puma/Manifest
@@ -1 +1,2 @@
 DIST puma-3.1.0.tar.gz 145272 SHA256 
b0d7c342ebd398d5cdebb25923ecb8b3f100ff2f4e92fe60218968b9ed5834ff SHA512 
b91446ce001107cfda689e4e7af3dbfb10bac9943ec3260c8830c1c4f962552c73113ba0f1aac453066716a84febb442908b5ffcd4f6fda1ecff7c9022898c12
 WHIRLPOOL 
266fadcbbe86cf94b792a86326e73f79266832c0d7cc2f03ceaab6cdaa87d7702723127dd14688cd1d00c516ac818229e72adbe42533ee61182b92eb0369e87a
+DIST puma-3.1.1.tar.gz 145563 SHA256 
ffcbae245e0a3a7f0418a9beb3e0e0a602203de15467dec93375fb3b4612ed6d SHA512 
ed478abb90c52a721ed2d050a514720d19de299ce08d416c184bd497118d506d2b66ec50c1484ad7bb405bd0201c02d04da3c41758e8c111f5a9520cd147cafa
 WHIRLPOOL 
4c19d3f1c55c5402d93e4e4359097b12bef017031faa7f3b03807ef6b372cd1bf4bb60ec697599d9c8a998936d09b1eafa414aac0d0e7cacbd0c13c1b40590ba

diff --git a/www-servers/puma/puma-3.1.1.ebuild 
b/www-servers/puma/puma-3.1.1.ebuild
new file mode 100644
index 0000000..95a646c
--- /dev/null
+++ b/www-servers/puma/puma-3.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="a simple, fast, threaded, and highly concurrent HTTP 1.1 server 
for Ruby/Rack"
+HOMEPAGE="http://puma.io/";
+SRC_URI="https://github.com/puma/puma/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" dev-libs/openssl:0"
+RDEPEND+=" dev-libs/openssl:0"
+
+ruby_add_bdepend "virtual/ruby-ssl
+       test? ( dev-ruby/rack )"
+
+all_ruby_prepare() {
+       # Avoid test failing inconsistently
+       sed -i -e '/phased_restart_via_pumactl/,/^  end/ s:^:#:' 
test/test_integration.rb || die
+}
+
+each_ruby_prepare() {
+       sed -i -e 's:ruby:'${RUBY}':' test/shell/run.sh || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/puma_http11 extconf.rb || die
+}
+
+each_ruby_compile() {
+       emake -Cext/puma_http11
+       cp ext/puma_http11/puma_http11$(get_modname) lib/puma/ || die
+}
+
+each_ruby_test() {
+       einfo "Running test suite"
+       ${RUBY} -Ilib:.:test -e "Dir['test/**/*test_*.rb'].each{|f| require f}" 
|| die
+
+       einfo "Running integration tests"
+       pushd test/shell
+       sh run.sh
+       popd
+}

Reply via email to